Bug 803368 - yum update -y on a RHEL6.2 system returns a tuple error
yum update -y on a RHEL6.2 system returns a tuple error
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 11:00 EDT by Harish Pillay
Modified: 2014-01-21 01:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-31 16:11:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harish Pillay 2012-03-14 11:00:41 EDT
Description of problem:

Running "yum update -y" returns a error saying some package's tuple is not in the rpmdb

Version-Release number of selected component (if applicable):
yum --version
3.2.29
  Installed: rpm-4.8.0-19.el6.x86_64 at 2012-02-03 13:15
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2011-10-04 08:23
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2011-10-04

  Installed: yum-3.2.29-22.el6.noarch at 2012-02-03 13:15
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2011-09-21 14:30
  Committed: James Antill <james.antill@redhat.com> at 2011-09-21

How reproducible:

Run "yum update -y" from a ssh'ed terminal.  Not sure if this error happens the packages are updated from the console (no access to it as the server is in a data center).

Steps to Reproduce:
1. as root, run "yum update -y"
  
Actual results:

[root@rhel6 ~]# yum update -y
Loaded plugins: refresh-packagekit, rhnplugin
Setting up Update Process
Error: Package tuple ('firefox', 'x86_64', '0', '10.0.1', '1.el6_2') could not be found in rpmdb
[root@rhel6 ~]# 

Expected results:

If there was an update, it should have happened.
Comment 2 RHEL Product and Program Management 2012-07-10 02:47:55 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 22:11:35 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 James Antill 2012-07-31 16:11:14 EDT
 I assume this went away on it's own, the above error basically says "yum expected to find something in the rpmdb, but it didn't find it ... so giving up".

 If it was a VM and you can still reproduce it, feel free to reopen and attach all the data about what firefox versions are installed/available (and what the output of "yum check" says).
Comment 5 Harish Pillay 2012-07-31 19:57:42 EDT
Thanks for the update. The problem looks like it went away. Not sure what solved it though.  The yum was not run in a VM.

Note You need to log in before you can comment on or make changes to this bug.